<?php
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
die ('Please do not load this page directly. Thanks!');

if ( post_password_required() ) { ?>
<div class="comment clearingfix">
<div class="error" style="margin:15px 0 -10px 0;">Эта запись защищена паролем. Для просмотра записей введите пароль.</div>
<br clear="all" />
</div>
<?php return; } ?>

<?php if ( have_comments() ) : ?>

<h3 id="comments"><?php comments_number('Комментариев нет', '1 комментарий', '% комментариев' );?></h3>

<div class="navigation clearingfix" style="margin:10px 0 20px 0;">
<div class="alignleft"><?php previous_comments_link() ?></div>
<div class="alignright"><?php next_comments_link() ?></div>
</div>

<?php foreach ($comments as $comment) : ?>
<?php if(get_comment_type() == "comment") : ?>
<div class="comment<?php if ( $comment->comment_author_email == get_the_author_email() ) echo ''; else echo '-admin' ?> clearingfix" id="comment-<?php comment_ID() ?>">
<div class="time-comments clearingfix">
<div class="time<?php if ($comment->comment_approved == "0") : ?>-awaiting<?php endif; ?>" style="text-transform:capitalize;"><?php comment_date() ?></div>
<div class="author-name" style="text-transform:capitalize;"><?php comment_author_link() ?></div>
</div>
<?php echo get_avatar( $comment, 56 ); ?>
<?php comment_text() ?>
<?php if ($comment->comment_approved == "0") : ?><div class="error" style="margin:15px 0 0 0;">Ваш комментарий ожидает подтверждения.</div><?php endif; ?>
<br clear="all" />
</div>
<?php endif; ?>

<?php endforeach; /* end for each comment */ ?>

<?php if((get_comment_type() == "pingback") || (get_comment_type() == "trackback")) : ?>
<h3 id="comments">Ссылка</h3>
<div class="comment">
<ol class="trackback">
<?php foreach ($comments as $comment) : ?>
<?php if((get_comment_type() == "pingback") || (get_comment_type() == "trackback")) : ?>
<li id="comment-<?php comment_ID() ?>" style="padding:5px 0px;"><?php comment_author_link() ?></li>
<?php endif; ?>
<?php endforeach; /* end for each comment */ ?>
</ol>
</div>
<?php endif; ?>

<div class="navigation clearingfix">
<div class="alignleft"><?php previous_comments_link() ?></div>
<div class="alignright"><?php next_comments_link() ?></div>
</div>
<?php else : // this is displayed if there are no comments so far ?>

<?php if ('open' == $post->comment_status) : ?>

<?php else : // comments are closed ?>
<p class="nocomments">Комментарии закрыты.</p>
<?php endif; ?>

<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>

<div id="respond">

<div class="cancel-comment-reply">
<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
<p>Вы должны быть <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">авторизованы</a>, чтобы разместить комментарий.</p>
<?php else : ?>

<div id="commentform<?php if ( $user_ID ) echo '-user'; else echo '' ?>">
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<ul>

<?php if ( $user_ID ) : ?>

<li>Вы вошли как <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php" style="text-transform:capitalize;"><?php echo $user_identity; ?></a>. [ <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Выйти из этого аккаунта">Выйти</a> ]</li>

<?php else : ?>
<h2>Оставить комментарий :</h2>
<li>Имя :<br><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> /></li>

<li>Email :<br><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> /></li>

<li>URL :<br><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" tabindex="3" /></li>

<?php endif; ?>

<li>Комментарий : <textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></li>

<li><input name="submit" type="Submit" id="submit" class="submitbutton" tabindex="5" value="Отправить" /></li>
<?php comment_id_fields(); ?>
<?php do_action('comment_form', $post->ID); ?>

</ul>
</form>
</div>

<?php endif; ?>
</div>

<?php endif; ?>
